/**
 * @file
 * Javascript extensions for bilderblock Drupal theme.
 */

(function($) {

  /**
   * Create our own namespace.
   */
  Drupal.behaviors.bilderblock = {
    attach: function(context) {
      // Enable menu toggle switches.
      $('div#menu-closed a.menuswitch', context).click(function(event) {
        event.preventDefault();
        var body = $(this).closest('body');
        body.toggleClass('bilderblock-menu-closed');
        var state = $('body', context).hasClass('bilderblock-menu-closed') ? 'closed' : 'open';
        Drupal.bilderblock.updateCookie(state);
      });
      // Update the cookie with the current value,
      // at least once per page request to reset expiration.
      // (Only if a cookie exists.)
      var c = $.cookie('Drupal.visitor.bilderblockMenu');
      if (c) {
        Drupal.bilderblock.updateCookie(c);
      }
    }
  };

  Drupal.bilderblock = {
    updateCookie: function(val) {
      $.cookie('Drupal.visitor.bilderblockMenu', val, {
        expires: 365,
        path: '/'
      });
    }
  };

})(jQuery);
